// subPage/todayBill/index.js
const app = getApp()
import {
  customRequest
} from '../../utils/request.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    text: `伯才【在招】企业 3月7日 
    
1[红包]【中牟零食厂】 
工价：180元/天，女 18-50 
代理：共300元 

2[红包]【港区优质长白班】 
工价：3500-4500元/月，女 25-50 
代理：500元/次 

3[红包]【港区（南港）长白班电子厂】 
工价：4000-5500元/月，女 18-45 
代理：300元/月 

4[红包]【郑州九龙仪表盘厂小时工】 
工价：184元/天，男女 18-40 
代理：1.5元/小时 

5[红包]【郑州地铁安检员】 
工价：5400-7350元/月，男女 18-33 
代理：35元/次 

6[红包]【郑州康师傅】 
工价：170元/天，男女 18-45 
代理：20元/日 

7[红包]【郑州思念食品】 
工价：5500-8000元/月，女 18-52 
代理：共1000元 

8[红包]【郑州超压新材料】 
工价：200元/天，男女 22-45 
代理：200元/次 

9[红包]【信阳鑫达辉电子厂】 
工价：17元/小时，男女 16-40 
代理：1.5元/小时 

10[红包]【信阳采茶工日结工】 
工价：150元/天，男女 16-68 
代理：工人收入16% 

11[红包]【新乡新飞电器】 
工价：14元/小时，男女 18-53 
代理：1.5元/小时 

12[红包]【新乡新能源材料厂】 
工价：17元/小时，男 18-50 
代理：1.5元/小时 

13[红包]【新乡立白包装厂】 
工价：135元/天，男女 18-50 
代理：15元/日 

14[红包]【薛店镇民族食品厂】 
工价：180元/天，男女 18-45 
代理：20元/日 

15[红包]【洛阳翔通光电】 
工价：5000-6000元/月，男女 18-35 
代理：50元/月 

16[红包]【洛阳中航富士达】 
工价：15元/小时，男女 18-30 
代理：1元/小时 

17[红包]【鹤壁耕德小时工】 
工价：17元/小时，男女 16-46 
代理：费用待定 

18[红包]【太仓食品包装】 
工价：6500-8000元/月，男女 18-52 
代理：15元/日 

19[红包]【常熟东南书本厂】 
工价：5500-6000元/月，女 25-40 
代理：500元/月 

20[红包]【苏州华星外包】 
工价：6200-7200元/月，男女 18-40 
代理：500元/次 

————————
==⚡这里一键看详单👇==
点击：#小程序：伯才供应链
点击：#小程序：伯才供应链
点击：#小程序：伯才供应链`,
    textShow: '',
    noticList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad (options) {
    this.setData({
      textShow: this.data.text.replace(/\*\*\*\*\*/g, "")
        .replace(/\[红包\]/g, `<img src="http://matripe-cms.oss-cn-beijing.aliyuncs.com/adminIcon/hongbao.svg" style="width: 20px;vertical-align: middle;position: relative;top: -2px;" alt="">`)
        .replace(/\[太阳\]/g, `<img src="http://matripe-cms.oss-cn-beijing.aliyuncs.com/adminIcon/taiyang.svg" style="width: 20px;vertical-align: text-top;" alt="">`)
        .replace(/\[爱心\]/g, `<img src="http://matripe-cms.oss-cn-beijing.aliyuncs.com/adminIcon/aixin.svg" style="width: 20px;vertical-align: text-top;" alt="">`)
        .replace(/\[注意\]/g, `<img src="http://matripe-cms.oss-cn-beijing.aliyuncs.com/adminIcon/zhuyi.svg" style="width: 20px;vertical-align: text-top;" alt="">`)
        .replace(/⚠/g, `<img src="http://matripe-cms.oss-cn-beijing.aliyuncs.com/adminIcon/zhuyi.svg" style="width: 20px;vertical-align: middle;position: relative;top: -2px;" alt="">`)
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow () {
    this.getNoticList()
  },
  getNoticList () {
    customRequest("/yicai/bocai/cms/getNotice", {
      header: 'headers',
      method: 'GET',
    }).then((res) => {
      console.log(res);
      let list = res.data.data
      list = list.map(item => {
        return {
          text: item,
          textShow: item.replace(/\*\*\*\*\*/g, "")
            .replace(/\[红包\]/g, `<img src="http://matripe-cms.oss-cn-beijing.aliyuncs.com/adminIcon/hongbao.svg" style="width: 20px;vertical-align: middle;position: relative;top: -2px;" alt="">`)
            .replace(/\[太阳\]/g, `<img src="http://matripe-cms.oss-cn-beijing.aliyuncs.com/adminIcon/taiyang.svg" style="width: 20px;vertical-align: text-top;" alt="">`)
            .replace(/\[爱心\]/g, `<img src="http://matripe-cms.oss-cn-beijing.aliyuncs.com/adminIcon/aixin.svg" style="width: 20px;vertical-align: text-top;" alt="">`)
            .replace(/\[注意\]/g, `<img src="http://matripe-cms.oss-cn-beijing.aliyuncs.com/adminIcon/zhuyi.svg" style="width: 20px;vertical-align: text-top;" alt="">`)
            .replace(/⚠/g, `<img src="http://matripe-cms.oss-cn-beijing.aliyuncs.com/adminIcon/zhuyi.svg" style="width: 20px;vertical-align: middle;position: relative;top: -2px;" alt="">`)
        }
      });
      console.log('list', list);
      this.setData({
        noticList: list
      })
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom () {

  },
  selectionChangeHandler (e) {
    console.log(e);
    let item = e.currentTarget.dataset.item;
    const query = wx.createSelectorQuery()
    query.select('#copy' + item).context().exec((res) => {
      console.log(res);
    });
  },
  copyInfo (e) {
    let val = e.currentTarget.dataset.info;
    app.vibrateShort()
    app.copyFun(val.text, () => {
      console.log(123123);
    })


  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage () {

  }
})